Looking for CS5-compatible 3D materials pack!

  • 1
  • Question
  • Updated 6 years ago
  • Answered
I have Photoshop CS5 Extended and want to install the free 3D materials pack. But the one on this site requires Photoshop 'Version 12'. Where do I find a CS5 compatible version? Thanks!!
Photo of Helene Coulson

Helene Coulson

  • 2 Posts
  • 0 Reply Likes

Posted 6 years ago

  • 1
Photo of Chris Cox

Chris Cox

  • 20280 Posts
  • 812 Reply Likes
CS5 is version 12.
Photo of Helene Coulson

Helene Coulson

  • 2 Posts
  • 0 Reply Likes
OK, great! I figured out the problem and will share it here in case it happens to anyone else... which is unlikely... but possible:

I have the CS5.5 Adobe Suite. Some time ago, I installed a trial version of Premiere (CS6), which also (it seems) installed the CS6 version of Extension Manager, which muscled in as the default program for installing Adobe Extensions. Therefore, when I downloaded the Materials package, that's what opened and tried to install the extension. It failed, and told me I needed at least Photoshop version 12... which was confusing as I have that... but the CS6 Extension Manager didn't 'see' any of the CS5.5. products.

So I just located the 5.5 version of the Extension Manager manually and installed the Materials package through that.

And all is well!

Thanks, Chris, for your help!